.navbar {
    background-color: var(--white-color);
    color: var(--text-color);
    padding: 1rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 15vh;
    position: fixed; /* Change from relative to fixed */
    top: 0; /* Ensure it stays at the top */
    left: 0;
    width: 100%; /* Make it span the full width */
    z-index: 10; /* Ensure it stays above other elements */
    box-shadow: 0 2px 5px var(--shadow-color); /* Optional: Add a shadow for better visibility */
}

.navbar .logo {
    display: flex;
    align-items: center;
}

.navbar .logo img {
    height: 50px;
    margin-right: 10px;
}

.navbar .hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
    gap: 5px;
}

.navbar .hamburger span {
    width: 25px;
    height: 3px;
    background-color:crimson;
    border-radius: 5px;
}

.navbar .nav-links {
    list-style: none;
    display: flex;
    gap: 2rem;
    margin: 0;
    padding: 0;
}

.navbar .nav-links li a {
    text-decoration: none;
    font-size: 1.3rem;
    transition: color 0.3s ease;
    color: var(--primary-color);
    font-weight: bold;
    padding: 5px 20px;
    border-radius: 30px;
    transition: 0.8s ease;
}

.navbar .nav-links li a:hover {
    color: var(--white-color);
    background-color: var(--primary-color);
}

/* Mobile Styles */
@media screen and (max-width: 768px) {
    .navbar .hamburger {
        display: flex;
    }

    .navbar .nav-links {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 100%;
        right: 0;
        background-color: white;
        width: 100%;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        border-bottom: 2px solid gray;
    }

    .navbar .nav-links.active {
        display: flex;
        z-index: 5;
        background-color: white;
        backdrop-filter: blur(30px);
    }
    .navbar .nav-links li {
        text-align: center;
        padding: 1rem 0;
    }
}